'---------------------------------------------------------------------------------------
'                                   R O N ' S   P E T S   S T O R E

'                                            Created 6/29/06
'                                               VB.Net 2005

'---------------------------------------------------------------------------------------
'Updated 4/13/2010

'4/13/10 took out some comments about the compiler.
'10/2/06 initialized all variables
'   Also show how to use Type characters when using literal assignments!

'NOTES: This project demonstrates how to keep product list, pricing, and photo of the selected item
'           in a list box. The items are added at run time and the name of the jpg/gif is included in the product
'           list. When they choose an item, the item description, price, and thumbnail is displayed in the 
'           appropriate control.

'          A picture box at the top of the form displays the store logo and is docked to the top of the form.
'           MAKE SURE TO LOOK AT HOW I TELL VB WHERE TO FIND MY IMAGES FOLDER!




Imports System.Drawing.Image  'this isn't necessary because it is referenced already!


Public Class frmMain

    Private Sub frmMain_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load


        '---show store banner in picture box. The images folder is 2 levels below the root folder so I have to use "..\" twice!
        '    Your folders may have a differenct structure so be careful.

        picBanner.Image = Image.FromFile("..\..\images\pet store banner small.jpg")

        '---now load the list box
        lstProducts.Items.Add("Birds                  49.95                   bird.jpg")
        lstProducts.Items.Add("Horse                 649.95                  colt.jpg")
        lstProducts.Items.Add("Fish                     4.95                    fish.jpg")
        lstProducts.Items.Add("Cats                   29.95                    kitten.jpg")
        lstProducts.Items.Add("Puppy                  29.95                   puppy.jpg")
        lstProducts.Items.Add("Rabbit                  39.95                   rabbit.jpg")
        lstProducts.Items.Add("Sheep                  249.95                 sheep.jpg")
        lstProducts.Items.Add("Turtle                  6.49                    turtle.jpg")


    End Sub

    Private Sub lstProducts_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstProducts.SelectedIndexChanged

        '---start with 1 item and clear the previous sale
        txtQuantity.Text = 1
        lblTax.Text = ""
        lblTotal.Text = ""

        Dim itemChosen As String = ""
        Dim itemPrice As String = ""
        Dim itemPhoto As String = ""

        '---make sure you understand what I am doing here in this section
        itemChosen = Trim(Mid(lstProducts.SelectedItem, 1, 10))        'the first 10 characters hold the item name
        itemPrice = Trim(Mid(lstProducts.SelectedItem, 20, 15))          'characters 20-35 hold the price
        itemPhoto = Trim(Mid(lstProducts.SelectedItem, 40))              'characters 40 and on hold the name of the photo for each item

        txtItem.Text = itemChosen
        txtPrice.Text = itemPrice
        picThumbs.Image = Image.FromFile("..\..\images\" & itemPhoto)

    End Sub

    Private Sub btnCheckout_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCheckout.Click

        Dim numItems As Integer = 0
        Dim salesTaxRate As Decimal = 0
        Dim totalPrice As Decimal = 0
        Dim taxDue As Decimal = 0
        Dim itemPrice As Decimal = 0

        '---compute item price and assign it
        itemPrice = CDec(txtPrice.Text)

        '---get number of items
        numItems = CInt(txtQuantity.Text)

        '---assign tax rate
        salesTaxRate = 0.0775

      
        '---compute tax
        taxDue = salesTaxRate * numItems * itemPrice

        '---format tax into label with 2 decimal places
        lblTax.Text = FormatNumber(taxDue, 2)

        '---compute total due & put it into label formatted as currency
        totalPrice = (itemPrice * numItems) + taxDue
        lblTotal.Text = FormatNumber(totalPrice, 2)

    End Sub

    Private Sub btnQuit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnQuit.Click

        Me.Close()

    End Sub
End Class